#ifdef WINDOWS
#include <ws2tcpip.h>
#endif

/*  general.c   */
extern char *strcasestr_m(char *hejstack, char *needle);
extern void safestrncpy(char *dest, char *source, int n);
extern int socketdie(int socketid);
extern int logfile_on(int ID);
extern void leet(unsigned char *buf);
extern void destroy();
extern void broken_pipe();
extern void setsignals();
extern char *collapse(char *d, int c, char *old);
extern char *unban_number(int i);
extern int ban_address(char *addr);
extern int get_num(char *s, int ID, int flags);
extern int strip(char *s);
extern void timediff(time_t time1, time_t time2, char *thisString);
extern void shorttimediff(time_t time1, time_t time2, char *thisString);
extern int channel(int ID, char *oName);
extern int conv_num(unsigned char *s);
extern void viewbans(int ID);
extern int is_number(char *myString);

/* buffered_read.c */
int buffered_read(int ID);

/* chat_thread.c */
extern void chat();

/* info.c */
extern void channelinfo(int ID);
extern void clientshow(int ID);
extern void who(int ID, char *grep);
extern int write_whofile();
extern void who_short(int ID);
extern void show_levels(int ID);
extern void help(int ID);

/* message.c */
extern void message(int ID, char *daMessage, int att);
extern void sendpriv(int ID, int OID, char *daMessage);
extern void sendchan(int ID, int channel, char *daMessage);
extern void yell(int ID, char *daMessage);
extern void sendchanbut(int ID, int channel, char *daMessage);
extern void sendall(int ID, char *daMessage);
extern void sendallbut(int ID, char *daMessage);

/* nakenchat.c */
extern int init(int socketid, struct sockaddr_in *cli_addr, socklen_t clilen);
extern void kill_user(int ID);

/* user.c */
extern void update_list(int ID, int add);
extern int checkname_dup(char *name, int ID);
extern int checkname_reg(char *name, int ID);

/* read_config.c */
extern void read_config();
extern void addtowelcome(char *s);
extern void setup(int argc, char *argv[]);


